/*********************************************************************************************************/
/*                                                                                                                                 */
/* This SPSS program will extract the United States Sentencing Commission's fiscal year  */
/* 2010 Organizational file and create a SPSS dataset.                                                     */
/*                                                                                                                                 */
/* Prior to running the program you must update the DAT file location in the                       */
/* FILE HANDLE DATA / NAME line to correspond to the location of the file on your           */
/* computer, replacing the '.' with the folder path location (e.g. 'C:\temp').                            */
/*                                                                                                                                 */
/* You must also update the file output location in the SAVE OUTFILE statement at the     */
/* end of the program to correspond to the folder you want the output file to be located,      */
/* replacing the '.' with the folder path location (e.g. 'C:\temp') .                                          */
/*                                                                                                                                 */
/*********************************************************************************************************/

/* The following line should contain the complete path and name of your raw data file */
/* The last line of this file contains the path to your output '.sav' file */

FILE HANDLE DATA / NAME=".\corp10nid.dat" LRECL=1794 .

DATA LIST FILE=DATA/
   DISGORGE 1               BUSTEXT 2-15 (A)         OWNSTEXT 16 (A)       
   FINSTXT 17-33 (A)        FINDOTXT 34 (A)          OFENTXT1 35 (A)       
   OFENTXT2 36 (A)          OFENTXT3 37 (A)          PRMONTXT 38-87 (A)    
   ORDERTXT 88-186 (A)      TYPEOTTX 187-377 (A)     CPIDN 378-384         
   PSR 385                  JANDC 386                PLEA 387              
   REASONS 388              INDICT 389               SENTRANS 390          
   WRKSHT 391               INCORPYR 392-395         INCORLOC 396          
   ORGTYPE 397              BUSCLAS 398-401          FTEMNUM 402-405       
   FTEMSIGN 406             SELFREP 407              HSMISCND 408          
   PRCRIME 409              PRCIVIL 410              OWNSTRCT 411          
   FINSTDS 412              FINSTDO 413              OFFENSE1 414          
   OFFENSE2 415             OFFENSE3 416             PRIMOFF 417-418       
   NOCOUNTS 419-420         SOURCES 421              OFFLVL 422-423        
   DETBFINE 424             TOLERNCE 425             HISTORY 426           
   VIOLATE 427              OBSTRUCT 428             COMPLY 429            
   ACCEPT 430-431           CCULPSCO 432-433         FCULPSCO 434-435      
   MINFINML 436-439         MAXFINML 440-442         DISPOSIT 443          
   PROBATN 444-445          COFI 446                 PROBMON 447           
   ORDERCE 448              TYPEOTHS 449-450         CRIMPURP 451          
   CANTPAY 452              ADJOFL1 453-454          ADJOFL2 455-456       
   ADJOFLHI 457-458         ADJ_B1 459-460           ADJ_B2 461-462        
   ADJ_BHI 463-464          ADJ_C1 465-467           ADJ_C2 468            
   ADJ_CHI 469-471          ADJ_D1 472-473           ADJ_D2 474            
   ADJ_DHI 475-476          ADJ_E1 477               ADJ_E2 478            
   ADJ_EHI 479              ADJ_F1 480               ADJ_F2 481            
   ADJ_FHI 482              ADJ_G1 483               ADJ_G2 484            
   ADJ_GHI 485              ADJ_H1 486               ADJ_H2 487            
   ADJ_HHI 488              ADJ_I1 489               ADJ_I2 490            
   ADJ_IHI 491              ADJ_J1 492               ADJ_J2 493            
   ADJ_JHI 494              ADJ_K1 495               ADJ_K2 496            
   ADJ_KHI 497              ADJ_L1 498               ADJ_L2 499            
   ADJ_LHI 500              ADJ_M1 501               ADJ_M2 502            
   ADJ_MHI 503              ADJ_N1 504               ADJ_N2 505            
   ADJ_NHI 506              ADJ_O1 507               ADJ_O2 508            
   ADJ_OHI 509              ADJ_P1 510               ADJ_P2 511            
   ADJ_PHI 512              BASADJ1 513              BASADJ2 514           
   BASADJHI 515             BASE1 516-517            BASE2 518             
   BASEHI 519-520           ADJOFR1 521-522          ADJOFR2 523           
   ADJOFRHI 524-525         ADJR_B1 526-527          ADJR_B2 528           
   ADJR_BHI 529-530         ADJR_C1 531              ADJR_C2 532           
   ADJR_CHI 533             ADJR_D1 534              ADJR_D2 535           
   ADJR_DHI 536             ADJR_E1 537              ADJR_E2 538           
   ADJR_EHI 539             ADJR_F1 540              ADJR_F2 541           
   ADJR_FHI 542             ADJR_G1 543              ADJR_G2 544           
   ADJR_GHI 545             ADJR_H1 546              ADJR_H2 547           
   ADJR_HHI 548             ADJR_I1 549              ADJR_I2 550           
   ADJR_IHI 551             ADJR_J1 552              ADJR_J2 553           
   ADJR_JHI 554             ADJR_K1 555              ADJR_K2 556           
   ADJR_KHI 557             ADJR_L1 558              ADJR_L2 559           
   ADJR_LHI 560             ADJR_M1 561              ADJR_M2 562           
   ADJR_MHI 563             ADJR_N1 564              ADJR_N2 565           
   ADJR_NHI 566             ADJR_O1 567              ADJR_O2 568           
   ADJR_OHI 569             ADJR_P1 570              ADJR_P2 571           
   ADJR_PHI 572             BASADR1 573              BASADR2 574           
   BASADRHI 575             BASER1 576               BASER2 577            
   BASERHI 578              ADJOFS1 579-580          ADJOFS2 581-582       
   ADJOFSHI 583-584         ADJS_B1 585-586          ADJS_B2 587-588       
   ADJS_BHI 589-590         ADJS_C1 591-593          ADJS_C2 594           
   ADJS_CHI 595-597         ADJS_D1 598-599          ADJS_D2 600           
   ADJS_DHI 601-602         ADJS_E1 603              ADJS_E2 604           
   ADJS_EHI 605             ADJS_F1 606              ADJS_F2 607           
   ADJS_FHI 608             ADJS_G1 609              ADJS_G2 610           
   ADJS_GHI 611             ADJS_H1 612              ADJS_H2 613           
   ADJS_HHI 614             ADJS_I1 615              ADJS_I2 616           
   ADJS_IHI 617             ADJS_J1 618              ADJS_J2 619           
   ADJS_JHI 620             ADJS_K1 621              ADJS_K2 622           
   ADJS_KHI 623             ADJS_L1 624              ADJS_L2 625           
   ADJS_LHI 626             ADJS_M1 627              ADJS_M2 628           
   ADJS_MHI 629             ADJS_N1 630              ADJS_N2 631           
   ADJS_NHI 632             ADJS_O1 633              ADJS_O2 634           
   ADJS_OHI 635             ADJS_P1 636              ADJS_P2 637           
   ADJS_PHI 638             BASADS1 639              BASADS2 640           
   BASADSHI 641             BASES1 642-643           BASES2 644            
   BASESHI 645-646          ADJOFC1 647              ADJOFC2 648           
   ADJOFCHI 649             ADJC_B1 650              ADJC_B2 651           
   ADJC_BHI 652             ADJC_C1 653              ADJC_C2 654           
   ADJC_CHI 655             ADJC_D1 656              ADJC_D2 657           
   ADJC_DHI 658             ADJC_E1 659              ADJC_E2 660           
   ADJC_EHI 661             ADJC_F1 662              ADJC_F2 663           
   ADJC_FHI 664             ADJC_G1 665              ADJC_G2 666           
   ADJC_GHI 667             ADJC_H1 668              ADJC_H2 669           
   ADJC_HHI 670             ADJC_I1 671              ADJC_I2 672           
   ADJC_IHI 673             ADJC_J1 674              ADJC_J2 675           
   ADJC_JHI 676             ADJC_K1 677              ADJC_K2 678           
   ADJC_KHI 679             ADJC_L1 680              ADJC_L2 681           
   ADJC_LHI 682             ADJC_M1 683              ADJC_M2 684           
   ADJC_MHI 685             ADJC_N1 686              ADJC_N2 687           
   ADJC_NHI 688             ADJC_O1 689              ADJC_O2 690           
   ADJC_OHI 691             ADJC_P1 692              ADJC_P2 693           
   ADJC_PHI 694             BASADC1 695              BASADC2 696           
   BASADCHI 697             BASEC1 698               BASEC2 699            
   BASECHI 700              ADJL_B1 701 (A)          ADJL_B2 702 (A)       
   ADJL_BHI 703 (A)         ADJL_C1 704-705 (A)      ADJL_C2 706 (A)       
   ADJL_CHI 707-708 (A)     ADJL_D1 709-710 (A)      ADJL_D2 711 (A)       
   ADJL_DHI 712-713 (A)     ADJL_E1 714 (A)          ADJL_E2 715 (A)       
   ADJL_EHI 716 (A)         ADJL_F1 717 (A)          ADJL_F2 718 (A)       
   ADJL_FHI 719 (A)         ADJL_G1 720 (A)          ADJL_G2 721 (A)       
   ADJL_GHI 722 (A)         ADJL_H1 723 (A)          ADJL_H2 724 (A)       
   ADJL_HHI 725 (A)         ADJL_I1 726 (A)          ADJL_I2 727 (A)       
   ADJL_IHI 728 (A)         ADJL_J1 729 (A)          ADJL_J2 730 (A)       
   ADJL_JHI 731 (A)         ADJL_K1 732 (A)          ADJL_K2 733 (A)       
   ADJL_KHI 734 (A)         ADJL_L1 735 (A)          ADJL_L2 736 (A)       
   ADJL_LHI 737 (A)         ADJL_M1 738 (A)          ADJL_M2 739 (A)       
   ADJL_MHI 740 (A)         ADJL_N1 741 (A)          ADJL_N2 742 (A)       
   ADJL_NHI 743 (A)         ADJL_O1 744 (A)          ADJL_O2 745 (A)       
   ADJL_OHI 746 (A)         ADJL_P1 747 (A)          ADJL_P2 748 (A)       
   ADJL_PHI 749 (A)         BASEL1 750 (A)           BASEL2 751 (A)        
   BASELHI 752 (A)          ADRL_B1 753 (A)          ADRL_B2 754 (A)       
   ADRL_BHI 755 (A)         ADRL_C1 756-757 (A)      ADRL_C2 758 (A)       
   ADRL_CHI 759-760 (A)     ADRL_D1 761 (A)          ADRL_D2 762 (A)       
   ADRL_DHI 763 (A)         ADRL_E1 764 (A)          ADRL_E2 765 (A)       
   ADRL_EHI 766 (A)         ADRL_F1 767 (A)          ADRL_F2 768 (A)       
   ADRL_FHI 769 (A)         ADRL_G1 770 (A)          ADRL_G2 771 (A)       
   ADRL_GHI 772 (A)         ADRL_H1 773 (A)          ADRL_H2 774 (A)       
   ADRL_HHI 775 (A)         ADRL_I1 776 (A)          ADRL_I2 777 (A)       
   ADRL_IHI 778 (A)         ADRL_J1 779 (A)          ADRL_J2 780 (A)       
   ADRL_JHI 781 (A)         ADRL_K1 782 (A)          ADRL_K2 783 (A)       
   ADRL_KHI 784 (A)         ADRL_L1 785 (A)          ADRL_L2 786 (A)       
   ADRL_LHI 787 (A)         ADRL_M1 788 (A)          ADRL_M2 789 (A)       
   ADRL_MHI 790 (A)         ADRL_N1 791 (A)          ADRL_N2 792 (A)       
   ADRL_NHI 793 (A)         ADRL_O1 794 (A)          ADRL_O2 795 (A)       
   ADRL_OHI 796 (A)         ADRL_P1 797 (A)          ADRL_P2 798 (A)       
   ADRL_PHI 799 (A)         BASERL1 800 (A)          BASERL2 801 (A)       
   BASERLHI 802 (A)         ADSL_B1 803 (A)          ADSL_B2 804 (A)       
   ADSL_BHI 805 (A)         ADSL_C1 806-807 (A)      ADSL_C2 808 (A)       
   ADSL_CHI 809-810 (A)     ADSL_D1 811-812 (A)      ADSL_D2 813 (A)       
   ADSL_DHI 814-815 (A)     ADSL_E1 816 (A)          ADSL_E2 817 (A)       
   ADSL_EHI 818 (A)         ADSL_F1 819 (A)          ADSL_F2 820 (A)       
   ADSL_FHI 821 (A)         ADSL_G1 822 (A)          ADSL_G2 823 (A)       
   ADSL_GHI 824 (A)         ADSL_H1 825 (A)          ADSL_H2 826 (A)       
   ADSL_HHI 827 (A)         ADSL_I1 828 (A)          ADSL_I2 829 (A)       
   ADSL_IHI 830 (A)         ADSL_J1 831 (A)          ADSL_J2 832 (A)       
   ADSL_JHI 833 (A)         ADSL_K1 834 (A)          ADSL_K2 835 (A)       
   ADSL_KHI 836 (A)         ADSL_L1 837 (A)          ADSL_L2 838 (A)       
   ADSL_LHI 839 (A)         ADSL_M1 840 (A)          ADSL_M2 841 (A)       
   ADSL_MHI 842 (A)         ADSL_N1 843 (A)          ADSL_N2 844 (A)       
   ADSL_NHI 845 (A)         ADSL_O1 846 (A)          ADSL_O2 847 (A)       
   ADSL_OHI 848 (A)         ADSL_P1 849 (A)          ADSL_P2 850 (A)       
   ADSL_PHI 851 (A)         BASESL1 852 (A)          BASESL2 853 (A)       
   BASESLHI 854 (A)         ADCL_B1 855 (A)          ADCL_B2 856 (A)       
   ADCL_BHI 857 (A)         ADCL_C1 858 (A)          ADCL_C2 859 (A)       
   ADCL_CHI 860 (A)         ADCL_D1 861 (A)          ADCL_D2 862 (A)       
   ADCL_DHI 863 (A)         ADCL_E1 864 (A)          ADCL_E2 865 (A)       
   ADCL_EHI 866 (A)         ADCL_F1 867 (A)          ADCL_F2 868 (A)       
   ADCL_FHI 869 (A)         ADCL_G1 870 (A)          ADCL_G2 871 (A)       
   ADCL_GHI 872 (A)         ADCL_H1 873 (A)          ADCL_H2 874 (A)       
   ADCL_HHI 875 (A)         ADCL_I1 876 (A)          ADCL_I2 877 (A)       
   ADCL_IHI 878 (A)         ADCL_J1 879 (A)          ADCL_J2 880 (A)       
   ADCL_JHI 881 (A)         ADCL_K1 882 (A)          ADCL_K2 883 (A)       
   ADCL_KHI 884 (A)         ADCL_L1 885 (A)          ADCL_L2 886 (A)       
   ADCL_LHI 887 (A)         ADCL_M1 888 (A)          ADCL_M2 889 (A)       
   ADCL_MHI 890 (A)         ADCL_N1 891 (A)          ADCL_N2 892 (A)       
   ADCL_NHI 893 (A)         ADCL_O1 894 (A)          ADCL_O2 895 (A)       
   ADCL_OHI 896 (A)         ADCL_P1 897 (A)          ADCL_P2 898 (A)       
   ADCL_PHI 899 (A)         BASECL1 900 (A)          BASECL2 901-903 (A)   
   BASECLHI 904 (A)         GDLINE1 905-909 (A)      GDLINE2 910-914 (A)   
   GDSTAT1 915-919 (A)      GDSTAT2 920-924 (A)      GDREF1 925-929 (A)    
   GDREF2 930 (A)           GDCROS1 931 (A)          GDCROS2 932 (A)       
   NOCOMP 933               GDLINEHI 934-938 (A)     GDSTATHI 939-943 (A)  
   GDREFHI 944-948 (A)      GDCROSHI 949 (A)         SMIN1 950             
   SMIN2 951                SMIN3 952                SMIN4 953             
   SMIN5 954                SMIN6 955                SMIN7 956             
   SMIN8 957                SMIN9 958                SMIN10 959            
   SMIN11 960               SMIN12 961               SMIN13 962            
   SMIN14 963               SMIN15 964               SMIN16 965            
   SMIN17 966               SMIN18 967               SMIN19 968            
   SMIN20 969               SMIN21 970               SMIN22 971            
   SMIN23 972               SMIN24 973               SMIN25 974            
   SMIN26 975               SMIN27 976               SMIN28 977            
   SMAX1 978-986            SMAX2 987-993            SMAX3 994-1000        
   SMAX4 1001-1007          SMAX5 1008-1014          SMAX6 1015-1021       
   SMAX7 1022-1028          SMAX8 1029-1035          SMAX9 1036-1042       
   SMAX10 1043-1049         SMAX11 1050-1055         SMAX12 1056-1061      
   SMAX13 1062-1067         SMAX14 1068-1073         SMAX15 1074-1079      
   SMAX16 1080-1085         SMAX17 1086-1091         SMAX18 1092-1097      
   SMAX19 1098-1104         SMAX20 1105-1111         SMAX21 1112-1118      
   SMAX22 1119-1125         SMAX23 1126-1132         SMAX24 1133-1139      
   SMAX25 1140-1146         SMAX26 1147-1153         SMAX27 1154-1160      
   SMAX28 1161-1167         STA1_1 1168-1177 (A)     STA1_2 1178-1186 (A)  
   STA1_3 1187-1198 (A)     STA1_4 1199-1207 (A)     STA1_5 1208-1216 (A)  
   STA1_6 1217-1225 (A)     STA1_7 1226-1234 (A)     STA1_8 1235-1243 (A)  
   STA1_9 1244-1252 (A)     STA1_10 1253-1260 (A)    STA1_11 1261-1268 (A) 
   STA1_12 1269-1276 (A)    STA1_13 1277-1284 (A)    STA1_14 1285-1292 (A) 
   STA1_15 1293-1300 (A)    STA1_16 1301-1308 (A)    STA1_17 1309-1316 (A) 
   STA1_18 1317-1324 (A)    STA1_19 1325-1332 (A)    STA1_20 1333-1340 (A) 
   STA1_21 1341-1348 (A)    STA1_22 1349-1356 (A)    STA1_23 1357-1364 (A) 
   STA1_24 1365-1372 (A)    STA1_25 1373-1380 (A)    STA1_26 1381-1388 (A) 
   STA1_27 1389-1396 (A)    STA1_28 1397-1401 (A)    STA2_1 1402-1411 (A)  
   STA2_2 1412-1419 (A)     STA2_3 1420-1427 (A)     STA2_4 1428-1434 (A)  
   STA2_5 1435-1440 (A)     STA2_6 1441-1447 (A)     STA2_7 1448-1454 (A)  
   STA2_8 1455-1461 (A)     STA2_9 1462-1467 (A)     STA2_10 1468-1473 (A) 
   STA2_11 1474-1479 (A)    STA2_12 1480-1482 (A)    STA2_13 1483-1488 (A) 
   STA2_14 1489-1494 (A)    STA2_15 1495-1500 (A)    STA2_16 1501-1503 (A) 
   STA2_17 1504 (A)         STA2_18 1505 (A)         STA2_19 1506 (A)      
   STA2_20 1507 (A)         STA2_21 1508 (A)         STA2_22 1509 (A)      
   STA2_23 1510 (A)         STA2_24 1511 (A)         STA2_25 1512 (A)      
   STA2_26 1513 (A)         STA2_27 1514 (A)         STA2_28 1515 (A)      
   STA3_1 1516-1523 (A)     STA3_2 1524-1530 (A)     STA3_3 1531-1537 (A)  
   STA3_4 1538-1540 (A)     STA3_5 1541-1547 (A)     STA3_6 1548-1550 (A)  
   STA3_7 1551-1559 (A)     STA3_8 1560-1562 (A)     STA3_9 1563-1569 (A)  
   STA3_10 1570 (A)         STA3_11 1571 (A)         STA3_12 1572 (A)      
   STA3_13 1573 (A)         STA3_14 1574 (A)         STA3_15 1575 (A)      
   STA3_16 1576 (A)         STA3_17 1577 (A)         STA3_18 1578 (A)      
   STA3_19 1579 (A)         STA3_20 1580 (A)         STA3_21 1581 (A)      
   STA3_22 1582 (A)         STA3_23 1583 (A)         STA3_24 1584 (A)      
   STA3_25 1585 (A)         STA3_26 1586 (A)         STA3_27 1587 (A)      
   STA3_28 1588 (A)         NWSTAT1 1589-1598 (A)    NWSTAT2 1599-1608 (A) 
   NWSTAT3 1609-1620 (A)    NWSTAT4 1621-1628 (A)    NWSTAT5 1629-1636 (A) 
   NWSTAT6 1637-1641 (A)    NWSTAT7 1642-1645 (A)    NOUSTAT 1646          
   AMENDYR 1647-1650        BASEFINE 1651-1660       CH2APP 1661           
   CH8FINGD 1662            CMSRVORD 1663            COMPLYPR 1664         
   COSTASSM 1665            FINOFFST 1666-1671       FORFEITR 1672-1681    
   GLFINMAX 1682-1691       GLFINMIN 1692-1701       REMEDORD 1702-1704    
   VICTNOTE 1705            BOOKERCD 1706-1707       QUARTER 1708          
   RETEXT1 1709 (A)         RETEXT2 1710-1720 (A)    RETEXT3 1721 (A)      
   RETEXT4 1722 (A)         RETEXT5 1723 (A)         RETEXT6 1724 (A)      
   RETEXT7 1725 (A)         RETEXT8 1726 (A)         RETEXT9 1727 (A)      
   RETEXT10 1728 (A)        REAS1 1729-1731          REAS2 1732-1734       
   REAS3 1735-1737          REAS4 1738               REAS5 1739-1741       
   REAS6 1742-1744          REAS7 1745               REAS8 1746            
   REAS9 1747               REAS10 1748              INPLEA1 1749          
   INPLEA2 1750             INPLEA3 1751             INPLEA4 1752          
   INPLEA5 1753             INPLEA6 1754             INPLEA7 1755          
   INPLEA8 1756             INPLEA9 1757             INPLEA10 1758         
   INPLEA11 1759            INPLEA12 1760            INNOPL1 1761          
   INNOPL2 1762             INNOPL3 1763             INNOPL4 1764          
   INNOPL5 1765             INNOPL6 1766             INNOPL7 1767          
   INNOPL8 1768             INNOPL9 1769             INNOPL10 1770         
   INNOPL11 1771            INNOPL12 1772            SENTYR 1773-1776      
   BOOKER2 1777             BOOKER3 1778             NEWCNVTN 1779         
   RESTCAT 1780             FINECAT 1781             SUSFNCAT 1782         
   LCAT1 1783               LCAT2 1784               LCATHI 1785           
   LCATS1 1786              LCATS2 1787              LCATSHI 1788          
   LCATR1 1789              LCATR2 1790              LCATRHI 1791          
   LCATC1 1792              LCATC2 1793              LCATCHI 1794 .        


FORMATS
  MINFINML (F5.2) /        MAXFINML (F4.1) / .
   

SAVE OUTFILE='.\corp10nid.sav'.
